commit: 00c9d09643bef38819b59819614d39fdf09cdf61
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Tue May 5 18:15:14 2020 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Tue May 5 18:19:01 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00c9d096
dev-perl/BerkeleyDB: Bump to version 0.630.0
This is a very long awaited bump because the last few times I tried,
I hit serious problems and punted it till later. This time I
finally dug into the problem and worked out why it exploded in
tests....
- EAPI7
- Improve DB configuration to properly work on Gentoo ( how 0.550.0
works and passes tests anywhere may be a slight mystery )
- Remove empty variable assignments
- Remove useless tests and strip unused files from install image
Upstream:
- Updates for BDB 6.2 and 6.3
- expose set_lg_filemode
- Fix build breakage with DBD 5.2 to 6.2
- sync dbinfo from DB_File
- Add missing dTHX declaration in my_db_strerror
- Fix missing txn code in db_remove
- Add __heap_exist prototype for db 5.2+
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>
dev-perl/BerkeleyDB/BerkeleyDB-0.630.0.ebuild | 53 +++++++++++++++++++++++++++
dev-perl/BerkeleyDB/Manifest | 1 +
2 files changed, 54 insertions(+)
diff --git a/dev-perl/BerkeleyDB/BerkeleyDB-0.630.0.ebuild
b/dev-perl/BerkeleyDB/BerkeleyDB-0.630.0.ebuild
new file mode 100644
index 00000000000..f8f34ad4970
--- /dev/null
+++ b/dev-perl/BerkeleyDB/BerkeleyDB-0.630.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=PMQS
+DIST_VERSION=0.63
+inherit perl-module eutils db-use
+
+DESCRIPTION="This module provides Berkeley DB interface for Perl"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# Install DB_File if you want older support. BerkleyDB no longer
+# supports less than 2.0.
+
+RDEPEND="
+ >=sys-libs/db-2.0:= <sys-libs/db-7
+"
+BDEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker"
+
+PERL_RM_FILES=(
+ "t/meta-json.t"
+ "t/meta-yaml.t"
+ "t/pod.t"
+ "scan.pl"
+ "mkconsts.pl"
+)
+# parallel really broken
+DIST_TEST="do"
+src_prepare() {
+ local DB_SUPPORTED=(
+ 6 5 4 3 2
+ )
+ # on Gentoo/FreeBSD we cannot trust on the symlink /usr/include/db.h
+ # as for Gentoo/Linux, so we need to esplicitely declare the exact
berkdb
+ # include path
+ local dbdir="$(db_includedir "${DB_SUPPORTED[@]}" )"
+ local dbname="$(db_libname "${DB_SUPPORTED[@]}" )"
+ einfo "DB Include Dir: ${dbdir}"
+ einfo "DB library: ${dbname}"
+
+ rm -f "${S}/config.in" || die "Can't remove packaged config.in"
+
+ printf "INCLUDE = %s\nLIB = %s\nDBNAME = -l%s\n" \
+ "${dbdir}" \
+ "/usr/lib" \
+ "${dbname}" > "${S}"/config.in || die "Can't write config.in"
+
+ perl-module_src_prepare
+}
diff --git a/dev-perl/BerkeleyDB/Manifest b/dev-perl/BerkeleyDB/Manifest
index 3815f4a06de..3a5af5e250c 100644
--- a/dev-perl/BerkeleyDB/Manifest
+++ b/dev-perl/BerkeleyDB/Manifest
@@ -1 +1,2 @@
DIST BerkeleyDB-0.55.tar.gz 203318 BLAKE2B
65118bacdb7b597a7f006a341916b21cd4b4d4602e56854fc4d04aa53f995365b4da44ea95a6e0472f5540f74eab46b83c56bb1c9cf8a51779260a6f4746ddd5
SHA512
a9bee92b0168918eaf6fb38b7b66005cfbb360ce89a9ae9feeb022e3d27fa7e627412b5c19233840571ed60568729d4bd83d279f84a0c7db921b8eed9f73afea
+DIST BerkeleyDB-0.63.tar.gz 208324 BLAKE2B
e13f9e4a7993a09ff60378cf19c7baba925850b1996873727f7659787111a9b437b022653329e18e94dead7c29ff0da9ee79d3a67adf2afcc8cdaa02d689c127
SHA512
43edf4eb3650e7b03dfc45ead834ea766d458cf3bc9b6405646142ad0ab223bdb3267815be5a92ddbf3958e5507d39f193d749d9ff6fe83a3beb9e02e8f6c66b